Bug 478315 - Kernel no longer properly detects USB modem
Kernel no longer properly detects USB modem
Status: CLOSED DUPLICATE of bug 481401
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 477921 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 16:19 EST by Gordon Messmer
Modified: 2009-02-19 18:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 18:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Messmer 2008-12-27 16:19:09 EST
Description of problem:
Working kernel-2.6.27.7-134.fc10.i686 writes the following to the messages log when the modem is plugged in:

Dec 24 11:57:11 vagabond kernel: hub 1-0:1.0: over-current change on port 4
Dec 24 11:57:11 vagabond kernel: usb 1-4: new high speed USB device using ehci_hcd and address 2
Dec 24 11:57:11 vagabond kernel: usb 1-4: configuration #1 chosen from 1 choice
Dec 24 11:57:11 vagabond kernel: usb 1-4: New USB device found, idVendor=106c, idProduct=3711
Dec 24 11:57:11 vagabond kernel: usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dec 24 11:57:11 vagabond kernel: usb 1-4: Product: PANTECH USB MODEM
Dec 24 11:57:11 vagabond kernel: usb 1-4: Manufacturer: PANTECH
Dec 24 11:57:11 vagabond kernel: cdc_acm 1-4:1.0: ttyACM0: USB ACM device
Dec 24 11:57:11 vagabond kernel: usbcore: registered new interface driver cdc_acm
Dec 24 11:57:11 vagabond kernel: cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
Dec 24 11:57:11 vagabond kernel: Initializing USB Mass Storage driver...
Dec 24 11:57:11 vagabond kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Dec 24 11:57:11 vagabond kernel: usbcore: registered new interface driver usb-storage
Dec 24 11:57:11 vagabond kernel: USB Mass Storage support registered.

In the working kernel, a new device node is created: /dev/ttyACM0.


The new kernel-2.6.27.9-159.fc10.i686 writes this to messages instead:

Dec 27 11:28:26 vagabond kernel: hub 1-0:1.0: over-current change on port 4
Dec 27 11:28:26 vagabond kernel: usb 1-4: new high speed USB device using ehci_hcd and address 2
Dec 27 11:28:26 vagabond kernel: usb 1-4: configuration #1 chosen from 1 choice
Dec 27 11:28:26 vagabond kernel: usb 1-4: New USB device found, idVendor=106c, idProduct=3711
Dec 27 11:28:26 vagabond kernel: usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Dec 27 11:28:26 vagabond kernel: usb 1-4: Product: PANTECH USB MODEM
Dec 27 11:28:26 vagabond kernel: usb 1-4: Manufacturer: PANTECH
Dec 27 11:28:26 vagabond kernel: usbcore: registered new interface driver usbserial
Dec 27 11:28:26 vagabond kernel: usbserial: USB Serial support registered for generic
Dec 27 11:28:26 vagabond kernel: usbcore: registered new interface driver usbserial_generic
Dec 27 11:28:26 vagabond kernel: usbserial: USB Serial Driver core
Dec 27 11:28:26 vagabond kernel: usbserial: USB Serial support registered for GSM modem (1-port)
Dec 27 11:28:26 vagabond kernel: option 1-4:1.0: GSM modem (1-port) converter detected
Dec 27 11:28:26 vagabond kernel: usb 1-4: GSM modem (1-port) converter now attached to ttyUSB0
Dec 27 11:28:26 vagabond kernel: option 1-4:1.1: GSM modem (1-port) converter detected
Dec 27 11:28:26 vagabond kernel: usb 1-4: GSM modem (1-port) converter now attached to ttyUSB1
Dec 27 11:28:26 vagabond kernel: option 1-4:1.2: GSM modem (1-port) converter detected
Dec 27 11:28:26 vagabond kernel: usb 1-4: GSM modem (1-port) converter now attached to ttyUSB2
Dec 27 11:28:26 vagabond kernel: option 1-4:1.3: GSM modem (1-port) converter detected
Dec 27 11:28:26 vagabond kernel: usb 1-4: GSM modem (1-port) converter now attached to ttyUSB3
Dec 27 11:28:26 vagabond kernel: usbcore: registered new interface driver option
Dec 27 11:28:26 vagabond kernel: option: USB Driver for GSM modems: v0.7.2
Dec 27 11:28:26 vagabond kernel: usbcore: registered new interface driver cdc_acm
Dec 27 11:28:26 vagabond kernel: cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
Dec 27 11:28:26 vagabond kernel: Initializing USB Mass Storage driver...
Dec 27 11:28:26 vagabond kernel: usbcore: registered new interface driver usb-storage
Dec 27 11:28:26 vagabond kernel: USB Mass Storage support registered.

Under the new kernel, the device nodes /dev/ttyUSB[0123] are created.  I'm not able to get the "dial-up" connection working with the new device nodes.  I tried modifying /etc/sysconfig/network-scripts/ifcfg-Verizon and /dev/wvdial.conf by hand to use /dev/ttyUSB0 as the modem device.  Attempting to bring up the connection simply hangs.

I'm not currently able to create a completely new modem connection because system-config-network crashes when I attempt to save.  I'm about to file a bug for that as well.  Please provide me with additional tests if you'd like more information.

Version-Release number of selected component (if applicable):
kernel-2.6.27.9-159.fc10.i686
Comment 1 Scott Glaser 2008-12-29 07:56:16 EST
I am seeing similar issues with kernel-2.6.27.9-159.fc10.i686, here is the message I get when Network Manager attempts to initialize my PANTECH UM150 USB Modem:

Dec 29 07:15:24 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:15:24 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:15:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:15:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:15:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:15:35 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:15:35 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:15:35 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:15:35 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:15:35 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:15:35 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:15:35 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:15:35 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:16:59 localhost kernel: CE: hpet increasing min_delta_ns to 15000 nsec
Dec 29 07:17:02 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:17:02 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:17:02 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:17:02 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:17:02 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:17:13 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:17:13 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:17:13 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:17:13 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:17:13 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:17:13 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:17:13 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:17:13 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:17:18 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:17:18 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:17:18 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:17:18 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:17:18 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:17:29 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:17:29 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:17:29 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:17:29 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:17:29 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:17:29 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:17:29 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:17:29 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:17:53 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:17:53 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:17:53 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:17:53 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:17:53 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:18:04 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:18:04 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:18:04 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:18:04 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:18:04 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:18:04 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:18:04 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:18:04 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:10 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:19:10 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:19:10 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:19:10 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:19:10 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:19:21 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:19:21 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:19:21 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:19:21 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:19:21 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:19:21 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:19:21 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:21 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:40 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
Dec 29 07:19:40 localhost NetworkManager: <info>  (eth0): now unmanaged
Dec 29 07:19:40 localhost NetworkManager: <info>  (eth0): device state change: 2 -> 1
Dec 29 07:19:40 localhost NetworkManager: <info>  (eth0): cleaning up...
Dec 29 07:19:40 localhost NetworkManager: <info>  (eth0): taking down device.
Dec 29 07:19:40 localhost NetworkManager: <info>  (wlan0): now unmanaged
Dec 29 07:19:40 localhost NetworkManager: <info>  (wlan0): device state change: 3 -> 1
Dec 29 07:19:40 localhost NetworkManager: <info>  (wlan0): cleaning up...
Dec 29 07:19:40 localhost NetworkManager: <info>  (wlan0): taking down device.
Dec 29 07:19:42 localhost kernel: iwlagn 0000:02:00.0: PCI INT A disabled
Dec 29 07:19:42 localhost NetworkManager: <info>  (ttyUSB0): now unmanaged
Dec 29 07:19:42 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 1
Dec 29 07:19:42 localhost NetworkManager: <info>  (ttyUSB0): cleaning up...
Dec 29 07:19:42 localhost NetworkManager: <info>  (ttyUSB0): taking down device.
Dec 29 07:19:42 localhost NetworkManager: <info>  disconnected by the system bus.
Dec 29 07:19:43 localhost NetworkManager: <info>  starting...
Dec 29 07:19:43 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Dec 29 07:19:43 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/pci_8086_4229_rfkill_4965AGN_wlan
Dec 29 07:19:43 localhost NetworkManager: <info>  eth0: driver is 'r8169'.
Dec 29 07:19:43 localhost NetworkManager: <info>  Found new Ethernet device 'eth0'.
Dec 29 07:19:43 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_1b_24_ad_f9_3f
Dec 29 07:19:43 localhost NetworkManager: <info>  wlan0: driver is 'iwlagn'.
Dec 29 07:19:43 localhost NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
Dec 29 07:19:43 localhost NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
Dec 29 07:19:43 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_13_e8_d0_19_0f
Dec 29 07:19:43 localhost NetworkManager: <info>  ttyUSB0: driver is 'option'.
Dec 29 07:19:43 localhost NetworkManager: <info>  Found new Modem device 'ttyUSB0'.
Dec 29 07:19:43 localhost NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/Hal/devices/usb_device_106c_3711_noserial_if0_serial_usb_0
Dec 29 07:19:43 localhost NetworkManager: <WARN>  killswitch_getpower_reply(): Error getting killswitch power: Method "GetPower" with signature "" on interface "org.freedesktop.Hal.Device.KillSwitch" doesn't exist#012.
Dec 29 07:19:47 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2
Dec 29 07:19:47 localhost NetworkManager: <info>  (eth0): bringing up device.
Dec 29 07:19:47 localhost kernel: r8169: eth0: link down
Dec 29 07:19:47 localhost NetworkManager: <info>  (eth0): preparing device.
Dec 29 07:19:47 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).
Dec 29 07:19:47 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2
Dec 29 07:19:47 localhost NetworkManager: <info>  (wlan0): bringing up device.
Dec 29 07:19:47 localhost kernel: iwlagn 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Dec 29 07:19:47 localhost kernel: Registered led device: iwl-phy0:radio
Dec 29 07:19:47 localhost kernel: Registered led device: iwl-phy0:assoc
Dec 29 07:19:47 localhost kernel: Registered led device: iwl-phy0:RX
Dec 29 07:19:47 localhost kernel: Registered led device: iwl-phy0:TX
Dec 29 07:19:48 localhost NetworkManager: <info>  (wlan0): preparing device.
Dec 29 07:19:48 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
Dec 29 07:19:48 localhost NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2
Dec 29 07:19:48 localhost kernel: iwlagn: TX Power requested while scanning!
Dec 29 07:19:48 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 2).
Dec 29 07:19:48 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:48 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:48 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 3
Dec 29 07:19:48 localhost NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3
Dec 29 07:19:48 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:19:48 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:19:48 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:19:48 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:19:48 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:19:48 localhost NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
Dec 29 07:19:59 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:19:59 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:19:59 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:19:59 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:19:59 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:19:59 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:19:59 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:19:59 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:21:35 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:21:35 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:21:35 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:21:35 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:21:35 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:21:47 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:21:47 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:21:47 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:21:47 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:21:47 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:21:47 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:21:47 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:21:47 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:21:59 localhost kernel: NET: Registered protocol family 10
Dec 29 07:21:59 localhost kernel: lo: Disabled Privacy Extensions
Dec 29 07:21:59 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Dec 29 07:22:00 localhost avahi-daemon[2578]: Registering new address record for fe80::bcf5:e7ff:fe4e:8c4 on virbr0.*.
Dec 29 07:22:24 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Auto Mobile Broadband (CDMA) connection'
Dec 29 07:22:24 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Dec 29 07:22:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Dec 29 07:22:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Dec 29 07:22:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Dec 29 07:22:30 localhost kernel: IPv6 over IPv4 tunneling driver
Dec 29 07:22:30 localhost kernel: sit0: Disabled Privacy Extensions
Dec 29 07:22:35 localhost NetworkManager: <WARN>  init_done(): Modem initialization timed out
Dec 29 07:22:35 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Dec 29 07:22:35 localhost NetworkManager: <info>  Marking connection 'Auto Mobile Broadband (CDMA) connection' invalid.
Dec 29 07:22:35 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
Dec 29 07:22:35 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Dec 29 07:22:35 localhost NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Dec 29 07:22:35 localhost NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:22:35 localhost NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
Dec 29 07:24:44 localhost init: tty4 main process (2653) killed by TERM signal
Dec 29 07:24:44 localhost init: tty5 main process (2654) killed by TERM signal
Dec 29 07:24:44 localhost init: tty2 main process (2655) killed by TERM signal
Dec 29 07:24:44 localhost init: tty3 main process (2656) killed by TERM signal
Dec 29 07:24:44 localhost init: tty6 main process (2657) killed by TERM signal
Dec 29 07:24:44 localhost avahi-daemon[2578]: Got SIGTERM, quitting.



With kernel kernel-2.6.27.7-134.fc10.i686 everything works fine.

Here are the kernel packages installed:

kernel-2.6.27.5-117.fc10.i686
kernel-2.6.27.7-134.fc10.i686
kernel-2.6.27.9-159.fc10.i686
kernel-devel-2.6.27.5-117.fc10.i686
kernel-devel-2.6.27.7-134.fc10.i686
kernel-devel-2.6.27.9-159.fc10.i686
kernel-firmware-2.6.27.9-159.fc10.noarch
kernel-headers-2.6.27.9-159.fc10.i386

Network Manager Packages:

NetworkManager-0.7.0-0.12.svn4326.fc10.i386
NetworkManager-glib-0.7.0-0.12.svn4326.fc10.i386
NetworkManager-gnome-0.7.0-0.12.svn4326.fc10.i386

Network Packages:

kdenetwork-4.1.3-1.fc10.i386
kdenetwork-libs-4.1.3-1.fc10.i386
system-config-network-1.5.93-2.fc10.noarch
system-config-network-tui-1.5.93-2.fc10.noarch


Let me know if you need any additional information or data.
Comment 2 Brent Holden 2009-01-15 15:11:26 EST
I have noticed this exact same issue.  In message I see this when I try to connect:

an 15 11:11:55 icarus NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jan 15 11:11:55 icarus NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jan 15 11:12:06 icarus NetworkManager: <WARN>  init_done(): Modem initialization timed out
Jan 15 11:12:06 icarus NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Jan 15 11:12:06 icarus NetworkManager: <info>  Marking connection 'Verizon' invalid.
Jan 15 11:12:06 icarus NetworkManager: <info>  Activation (ttyUSB0) failed.
Jan 15 11:12:06 icarus NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Jan 15 11:12:06 icarus NetworkManager: <info>  (ttyUSB0): deactivating device (reason: 0).
Jan 15 11:12:06 icarus NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Jan 15 11:12:06 icarus NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' faile

To me this is clear that NM is no longer able to init the device with an ATDT.  To test, I tried minicom configured for /dev/ttyUSB0 and was unable to init the modem.  When I switched to using /dev/ttyUSB1, the device is able to init.

As a workaround, I have changed my HAL rules in /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi.  The workaround is on line 181.

Change:
<match key="@info.parent:usb.interface.number" int="0">
To:
<match key="@info.parent:usb.interface.number" int="1">

This instructs HAL and subsequently NM to use /dev/ttyUSB1 as its dialout device.  It would appear in the newer kernel that the device enumeration is different causing the problem.
Comment 3 Brent Holden 2009-01-15 15:14:42 EST
I should have added to my original comment that the device in question is a PANTECH UM150 USB modem.
Comment 4 Pete Zaitcev 2009-01-16 19:53:43 EST
The Pantech 106c/3711 was added by Dan Williams:

commit 8b6346ec899713a90890c9e832f7eff91ea73504
Author: Dan Williams <dcbw@redhat.com>
Date:   Fri Oct 10 06:41:16 2008 -0400

    USB: option: add Pantech cards
    
    Add some Pantech mobile broadband IDs.

Perhaps UM150 is different from the two other Pantechs and should be
removed from option.c.
Comment 5 Dan Williams 2009-01-20 13:01:19 EST
The patch for option.c is correct, it's that HAL/NetworkManager aren't correctly detecting which TTY of the device is actually the modem TTY.  This is statically set now, but soon will be automatically detected through udev probing of serial ports of hardware driven by known mobile broadband drivers.
Comment 6 Stuart R. Kirk 2009-01-25 16:01:36 EST
Camping on to this BZ.  I have noticed the exact same behavior.  The modification to HAL did, also, work on my system.
Comment 7 Andrew Hecox 2009-02-04 07:27:30 EST
here as well on a Pantech PX-500; the suggestion in comment #2 worked fine. 

Running rawhide if/when there are new packages to test.
Comment 8 Dan Williams 2009-02-13 10:17:43 EST
*** Bug 477921 has been marked as a duplicate of this bug. ***
Comment 9 Dan Williams 2009-02-13 10:18:03 EST
The patches that switched Pantech cards to the option driver were actually wrong and have been reverted upstream.  They will get into Fedora in the next stable kernel updates.  Upstream kernels with this issue fixed are 2.6.27.16 and 2.6.28.5.
Comment 10 Chuck Ebbert 2009-02-19 18:36:21 EST

*** This bug has been marked as a duplicate of bug 481401 ***

Note You need to log in before you can comment on or make changes to this bug.